angular.module("Editor").controller "PageCtrl", [
  "$scope"
  "Restangular"
, (
  $scope
  Restangular
) ->
  console.log 'PageCtrl'

  $scope.options = {}
  $scope.summernotes = {}

  Restangular.one("summernotes").get().then ((data) ->
    console.log data
    $scope.summernotes = data
  ), (error) ->
    console.log error

  Restangular.one("layouts").get().then ((data) ->
    $scope.layouts = [{id: null, is_dir: true, title: 'layouts',  items: data, root: true}]
  ), (error) ->
    console.log error

  Restangular.one("pages").get().then ((data) ->
    $scope.pages = [{id: null, is_dir: true, title: 'pages',  items: data, root: true}]
  ), (error) ->
    console.log error

  Restangular.one("snippets").get().then ((data) ->
    $scope.snippets = [{id: null, is_dir: true, title: 'snippets',  items: data, root: true}]
    console.log $scope.snippets

  ), (error) ->
    console.log error

  $scope.onSave = () ->
    $scope.summernotes.put().then ((data) ->
      console.log data
    ), (error) ->
      console.log error

]
