module SedgeCms
  require 'find'
  require 'git'
  class SedgeApi::GitController < ActionController::Base
    def index
      commits = []
      g = Git.open(Rails.root, :log => Logger.new(STDOUT))
      g.log.each_with_index do |commit, index|
        commits.push({:name => commit.committer.name, :message => commit.message, :commited_at => commit.committer_date})
        if index == 10
          break
        end
      end
      render :json => commits
    end
  end
end
