module SedgeCms
  require 'find'
  require 'git'
  class SedgeApi::PageOptionsController < SedgeCms::ApplicationController
    def index
      pages_path = Rails.root.join('app', 'sedge', 'pages')
      page_mustache_file = File.read("#{pages_path}/#{params[:path]}.mustache")
      page_html_fragment = Nokogiri::HTML.fragment(page_mustache_file)
      page_options = template_options(page_html_fragment.search('.//sedge-config'))

      # need a better way to define a schema for page configuration.
      options_schema = {}
      options_schema[:sort_index] = 0
      options_schema[:title] = 'Sedge CMS'
      options_schema[:layout] = 'example_layout'
      options_schema[:belongs_to] = []
      options_schema[:fa_icon] = 'fa-file-code-o'

      render :json => options_schema.merge(page_options)
    end
  end
end
