SedgeCms::Engine.routes.draw do
  get 'sedge' => 'application#dashboard'
  namespace :sedge_api do
    get 'layouts' => 'layouts#index'

    get 'pages' => 'pages#pages'
    get 'snippets' => 'pages#snippets'

    get 'summernotes' => 'locales#index'
    put 'summernotes' => 'locales#update'

    get 'commits' => 'git#index'

    get '/page_options/cms/pages/*path' => "page_options#index"
  end
  get '/templates/*path' => "application#templates"
  get '/cms/pages/*path' => "pages#edit"
  get '*path' => 'pages#show'
  match '*unmatched_route', :to => 'application#raise_not_found!', :via => :all
end
